Package com.avaya.clientservices.call

## Class ChatMessage

- java.lang.Object
- - com.avaya.clientservices.call.ChatMessage

-     public class ChatMessage
      extends java.lang.Object

  Provides the text of a chat message and the properties associated with the message.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ChatMessage.MessageStatus` | Possible states for a chat message: ePending - response not yet received.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getMessageContent()` |
    `Participant` | `getRecipient()` |
    `Participant` | `getSender()` |
    `ChatMessage.MessageStatus` | `getStatus()` |
    `java.util.Date` | `getTime()` |
    `boolean` | `isPrivate()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Returns:
        Message id

    - #### getTime

          public java.util.Date getTime()

      Returns:
        Time of this message creation

    - #### getMessageContent

          public java.lang.String getMessageContent()

      Returns:
        Text of this message

    - #### getSender

          public Participant getSender()

      Returns:
        Sender of this message

    - #### isPrivate

          public boolean isPrivate()

      Returns:
        Indication as to whether this is a private message.

    - #### getRecipient

          public Participant getRecipient()

      Returns:
        Recipient of this message

    - #### getStatus

          public ChatMessage.MessageStatus getStatus()

      Returns:
        Returns status (sending/sent/unsent/undefined/error) of this message.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`